@import "@/styles/variables";

.project-container {
    grid-column: 1 / -1;
    display: grid;
    grid-template-rows: auto;
    grid-template-columns: repeat(12, 1fr);
    gap: 2rem 1rem;

    @include desktop {
        padding: 0;
        padding-bottom: 2rem;
    }

    a {
        z-index: 2;
        position: relative;
    }

    p {
        grid-column: 1 / -1;

        @include paragraph-lg;

        @include notebook {
            padding: 0;
        }
    }

    .container {
        grid-column: 1 / -1;
        display: grid;
        grid-template-columns: repeat(12, 1fr);
        gap: 2rem 1rem;
        margin-bottom: 2rem;

        @include notebook {
            max-width: $max-inner-width;
            margin: 0 auto;
        }

        @include desktop {
            padding: 0;
        }

        p {
            grid-column: 1 / -1;
        }
    }

    .container-links {
        grid-column: 1 / -1;
        display: grid;
        grid-template-columns: 1fr;
        gap: 2rem 1.5rem;
        padding: 2rem 0;

        @include tablet {
            grid-template-columns: repeat(2, 1fr);
        }

        @include notebook {
            grid-template-columns: repeat(4, 1fr);
        }

        .link-card {
            height: 11.5rem;
            width: 100%;
            grid-column: 1 / -1;

            @include col;

            padding: 2rem;
            background: $white;
            gap: 2rem;

            @include tablet {
                grid-column: auto;
            }

            &-text {
                @include col;

                gap: 1rem;
                color: $secondary-color;
            }
        }

        .cardtag-container {
            display: flex;
            justify-content: space-between;

            .card-tag {
                display: flex;
                width: 6.7rem;
                height: 1.5rem;
                background-color: #cc860c;
                font-size: 12px;
                border-radius: 2rem;
                color: $white;
                align-items: center;
                justify-content: center;
            }
        }
    }
}
